Skip to content

The Pricefx Backend API

Pricefx REST API Reference

Languages
Servers
Mock server
https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi
URL:
https://{baseUrl}/pricefx/{partition}

General

Operations

Products

Operations

Product Extensions

Operations

Product Image

Operations

Customers

Operations

Customer Extensions

Operations

Sellers

Operations

Seller Extensions

Operations

Condition Records

Operations

Competition Data

Operations

Imports

Operations

Data Change Requests

Operations

Lookup Tables / Company Parameters

Operations

Mass Delete Lookup Table Values

Request

Deletes records from the specified Company Parameters table (LookupTable). A filter can be applied (see the request example).


Required PermissionRoles with the Required Permission
LOOKUPTABLE_REMOVEAdminister Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA)
Security
basic or X-PriceFx-jwt
Path
tableIdstringrequired

Enter the ID of the table. The ID can be retrieved using the /lookuptablemanager.fetch method.

Query
dataLocalestring

Specifies localization of data.

Example: dataLocale=en
Bodyapplication/json
dataobject
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.delete/{tableId}/batch?dataLocale=en' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "filterCriteria": {
        "_constructor": "AdvancedCriteria",
        "operator": "and",
        "criteria": [
          {
            "fieldName": "upperBound",
            "operator": "equals",
            "value": 30
          }
        ]
      }
    }
  }'

Responses

OK

Bodyapplication/json
responseobjectrequired
response.​nodestringnon-emptyrequired
response.​dataArray of anynon-emptyuniquerequired

The number of deleted records.

response.​statusnumberrequired
Response
application/json
{ "response": { "node": "<node>", "data": [], "status": 0 } }

Add a Lookup Table Value

Request

Creates a new LookupTableValue or MatrixLookupTableValue record in the LookupTable (Company Parameter table).


Required PermissionRoles with the Required Permission
LOOKUPTABLE_ADDAdminister Price Parameters (PB_PARAMETERS), Administer Plasma (PLASMA)
Security
basic or X-PriceFx-jwt
Path
tableIdstringrequired

Enter the ID of the table. The ID can be retrieved using the /lookuptablemanager.fetch method.

Bodyapplication/json
dataobjectrequired
data.​namestringnon-emptyrequired
data.​valuestringnon-emptyrequired
operationstringnon-empty

Must be 'add' or null or omitted.

curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.add/{tableId}' \
  -H 'Content-Type: application/json' \
  -d '{
    "data": {
      "name": "recordName",
      "value": "recordValue"
    },
    "operation": "add"
  }'

Responses

OK

Bodyapplication/json
responseobjectrequired
response.​nodestringnon-emptyrequired
response.​dataArray of objectsnon-emptyuniquerequired
response.​data[].​versionnumberrequired
response.​data[].​typedIdstringnon-emptyrequired
response.​data[].​namestringnon-emptyrequired
response.​data[].​valuestringnon-emptyrequired
response.​data[].​lowerBoundany
response.​data[].​upperBoundany
response.​data[].​lastUpdateByNamestringnon-emptyrequired
response.​data[].​createdByNamestringnon-emptyrequired
response.​data[].​tableIdnumberrequired
response.​data[].​valueTypestringnon-emptyrequired
response.​data[].​typestringnon-emptyrequired
response.​data[].​rawValuestringnon-emptyrequired
response.​data[].​createDatestringnon-emptyrequired
response.​data[].​createdBynumberrequired
response.​data[].​lastUpdateDatestringnon-emptyrequired
response.​data[].​lastUpdateBynumberrequired
response.​statusnumberrequired
Response
application/json
{ "response": { "node": "e2e-templates-node", "data": [], "status": 0 } }

List All Lookup Table Values

Request

Retrieves all Company Parameter records for the specified Company Parameter table (LookupTable).

Export the table to the Excel file (XLSX) using the output=xls URL query parameter. When exporting to the file, specify fields (within the resultFields property) you want to include in the output table.

Example:

{
   "data":{
      "criteria":[

      ],
      "operator":"and"
   },
   "resultFields":[
      "key1",
      "key2",
      "key3",
      "attribute1",
      "attribute2",
      "attribute3"
   ],
   "valueFields":[

   ]
}
Security
basic or X-PriceFx-jwt
Path
tableIdstringrequired

Enter the ID of the table. The ID can be retrieved using the /lookuptablemanager.fetch method.

Query
outputstring

Specifies the format of the output file.

Enum"json""xls""csv""pdf"
Example: output=xls
useColumnNamesstring

Set to false to retrieve the table with labels (as used in the database) instead of names in the table header.

Default "true"
Enum"true""false"
Example: useColumnNames=false
Bodyapplication/json

You can specify the start and end row to limit the number of retrieved records.

endRownumber

The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results.

Default 300
oldValuesany
operationTypestringnon-empty
startRownumber

The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results.

textMatchStylestringnon-empty
sortByArray of objects
curl -i -X POST \
  -u <username>:<password> \
  'https://api.pricefx.com/_mock/openapi/reference/pricefx-server_openapi/lookuptablemanager.fetch/{tableId}?output=xls&useColumnNames=false' \
  -H 'Content-Type: application/json' \
  -d '{
    "endRow": 30,
    "oldValues": null,
    "operationType": "fetch",
    "startRow": 0,
    "textMatchStyle": "exact"
  }'

Responses

OK

Bodyapplication/json
responseobject
Response
application/json
{ "response": { "status": 0, "startRow": 0, "node": "<node>", "csrfToken": "<token>", "data": [], "endRow": 3 } }

User Admin

Operations

Authentication

Operations

Admin Tools

Operations

Logics

Operations

Logs

Operations

Custom Forms

Operations

Calculated Field Sets

Operations

Jobs & Tasks

Operations

Data Manager

Operations

Actions

Operations

Action Types

Operations

Price Lists

Operations

Manual Price Lists

Operations

Live Price Grids

Operations

Calculation Grids

Operations

Visual Configuration

Operations

Quotes

Operations

Contracts (Agreements & Promotions)

Operations

Visual Configuration

Operations

Rebate Agreements

Operations

Rebate Calculations

Operations

Rebate Record Group

Operations

Sales Compensations

Operations

Claim Types

Operations

Claims

Operations

Optimization

Operations

Workflow

Operations

Workflow Delegation

Operations

Attachments

To upload a file you need to perform the following actions using endpoints in this category:

  1. Create an Upload Slot
  2. Upload a File
  3. Delete an Upload Slot
Operations

Product Image

Operations

Configuration

Operations

Internationalization

Operations

Metadata

Operations

Clicmanager

Clicmanager (CLIC = "Calculable Line Item Collection") endpoints are used in the REACT version to manipulate Quote/Agreements & Promotions (Contract)/Rebate Agreement/Compensation Plan objects.

Operations

Comments

Operations

Notifications

Operations

Heartbeat

Operations

Key-Value Store

See the Key-Value Database Storage Knowledge Base article for more details.

Operations

Entities

Here you can find all fields of the corresponding entity (represented by the type code).
Use the /metadata.describe endpoint to find out the correct data type of the field that is used in your partition.

otherSchemas

Schemas